openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SCSM_ADD_ROUTE_FOR_SYSTEM:
    post:
      tags:
      - SCSMROUTE
      operationId: /rfc/SCSM_ADD_ROUTE_FOR_SYSTEM
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CALLED_BY_AGENT_INSTALLATION:
                  type: string
                  default: ' '
                  maxLength: 1
                CHG_USER:
                  type: string
                  default: SY-UNAME
                  maxLength: 12
                  description: SAP System, User Logon Name
                COMMPRIO:
                  type: integer
                  format: int32
                COMMSTATUS:
                  type: string
                  default: CSM_COMMSTATUS_OK
                  maxLength: 1
                COMMTYPE:
                  type: string
                  default: AL_CSM_CTYPE_DEFAULT
                  maxLength: 1
                CSMSTATUS:
                  type: string
                  default: CSM_CSMSTATUS_OK
                  maxLength: 1
                  description: 'Alert: Status of Segment (online/offline/problems/disabled)'
                DESTINATION:
                  type: string
                  maxLength: 32
                  description: Logical Destination (Specified in Function Call)
                DESTI_4_ANALYZE:
                  type: string
                  maxLength: 32
                  description: Logical Destination (Specified in Function Call)
                DO_COMMIT:
                  type: string
                  default: ' '
                  maxLength: 1
                FORCE_UPDATE:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Single-Character Flag
                SUPPRESS_REFILL:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: 'Alert: SALC: Flag (X) if only local input for function call'
                SYSID:
                  type: string
                  maxLength: 8
                VERSION:
                  type: string
                  maxLength: 10
                  description: 'Alert: Version of Monitoring Infrastructure'
              required:
              - SYSID
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
